This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 121138 - Illegal character in /usr/share/man/en/man2/getrlimit.2.gz
Illegal character in /usr/share/man/en/man2/getrlimit.2.gz
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: man-pages (Show other bugs)
1
All Linux
medium Severity low
: ---
: ---
Assigned To: Eido Inoue
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-17 17:52 EDT by Leonard den Ottolander
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-19 15:20:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonard den Ottolander 2004-04-17 17:52:21 EDT
man-pages-1.60-4

Illegal character in english translation of man 2 getrlimit. When
using LANG=en_US.ISO-8859-1 man aborts with an error:

iconv: illegal input sequence at position 1829.

When running
(LANG=en_US.UTF-8; man getrlimit)
you can see illegal characters in the title bar.

Note that the affected file is /usr/share/man/en/man2/getrlimit.2.gz,
not /usr/share/man/man2/getrlimit.2.gz. These files differ only in one
character (the accented a in "Havard Lygre"), so why not drop the
whole english translation?
Comment 1 Eido Inoue 2004-04-19 15:20:26 EDT
The current release of nroff & man (in the fc rawhide) contains code
to handle legacy character sets... both in the man page source and for
the target terminals

Note You need to log in before you can comment on or make changes to this bug.